# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "js-semver"
version = "0.1.0"
build = false
include = [
    "src/**/*",
    "tests/**/*",
    "LICENSE",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parser and evaluator for semantic versioning in JavaScript, such as Node.js and Deno"
readme = "README.md"
keywords = [
    "semver",
    "nodejs",
    "deno",
]
categories = ["no-std"]
license = "MIT-0"
repository = "https://github.com/ryuapp/js-semver"

[features]
default = ["std"]
serde = ["dep:serde"]
std = []

[lib]
name = "js_semver"
path = "src/lib.rs"

[[test]]
name = "compat"
path = "tests/compat.rs"

[dependencies.serde]
version = "^1.0.220"
optional = true
package = "serde_core"

[dev-dependencies.serde_json]
version = "1"
